#define snapdate 20160229
#define snaphash 20ffdadd04e9f98124ea14690fdf89d7567956c2

# We install into libdir, but really build no binaries
%global debug_package %{nil}

Name:           hawaii-widget-styles
Summary:        Styles for applications using QtQuick Controls
Version:        0.8.0
Release:        2%{?snaphash:.%{snapdate}git%(echo %{snaphash} | cut -c -13)}%{?dist}
License:        LGPLv2+
URL:            http://hawaiios.org
Source0:        https://github.com/hawaii-desktop/%{name}/%{?snaphash:archive}%{!?snaphash:releases/download}/%{?snaphash}%{!?snaphash:v%{version}}/%{name}-%{?snaphash}%{!?snaphash:%{version}}.tar.gz

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules

Requires:       fluid

Requires:       hawaii-components

%description
Styles for applications using QtQuick Controls.


%prep
%setup -q -n %{?snaphash:%{name}-%{snaphash}}%{!?snaphash:%{name}-%{version}}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files
%license LICENSE.LGPL
%doc README.md
%{_datadir}/color-schemes/*
%{_kf5_qmldir}/*


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 22 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.8.0-1
- Update to 0.8.0

* Tue Jun 21 2016 Pier Luigi Fiorini <pierluigi.fiorini@hawaiios.org> - 0.7.0-1
- Update to 0.7.0 release

* Sat Apr 30 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.90-1.20160229git20ffdadd04e9f
- Update to latest snapshot

* Mon Feb 29 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.90-0.1.20160229git
- Update to snapshot

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Dec 02 2015 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.5.1-2
* Requires hawaii-components

* Wed Dec 02 2015 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.5.1-1
* Update to 0.5.1

* Wed Jun 24 2015 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.5.0-1
* Update to 0.5 release.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Apr 04 2015 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.4.0-1
* Update to 0.4 release

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 24 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.3.0-1
- Update to 0.3 release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.90-0.2.20140103git881d688
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Feb 18 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-0.1.20140103git881d688
- Update to a newer snapshot

* Sat Jan 04 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.0-1
- Update to a new release tarball

* Thu Oct 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.90-3.20130827gitf3bcff6
- Bulk sad and useless attempt at consistent SPEC file formatting

* Mon Sep 16 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.90-2.20130827gitf3bcff6
- Remove old RPM relics

* Mon Sep 16 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.90-1.20130827gitf3bcff6
- Initial packaging
